/*--------------------------------------------------------------
# scroll bar
--------------------------------------------------------------*/

/*definimos el ancho del scroll */

::-webkit-scrollbar {
    width: auto;
}

/*definimos el color de fondo de de la barra de scroll */

::-webkit-scrollbar-track {
    background: #ffffff;
}

/*personalizamos el scroll*/

::-webkit-scrollbar-thumb {
    border-radius: auto;
    background: linear-gradient(180deg, #3a683d 0%, #3a683d 35%, #3a683d 100%);
}

/*--------------------------------------------------------------
# Hero
--------------------------------------------------------------*/
#hero{
    min-height: 730px;
    background-image: url(../images/Anglo-24-BannerPrincipalCampBell.webp); 
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
    padding: 100px 150px;
    display: flex;
    align-items: flex-end;
    background-color: #00736a;
    margin-bottom: -10px;
}
#hero h1{
    color: #fff;
    font-size: 32px;
}
#hero h1 strong{
    font-weight: 700;
    font-size: 48px;
}
#hero img{
    width: 80px;
}

/*--------------------------------------------------------------
# Filosofia
--------------------------------------------------------------*/

.nav-tabs .nav-link:focus, .nav-tabs .nav-link:hover {
    border-color: transparent !important;
}
#fil-int{
    padding: 100px;
}
.a-verde-tel{
    text-decoration: none !important;
}

#demo {
    height:100%;
    position:relative;
    overflow:hidden;
}
  
.green{
    background-color:#6fb936;
}

.thumb{
    margin-bottom: 30px;
}
     
img.zoom {
  width: 100%;
  height: auto;
  border-radius:5px;
  object-fit:cover;
  -webkit-transition: all .3s ease-in-out;
  -moz-transition: all .3s ease-in-out;
  -o-transition: all .3s ease-in-out;
  -ms-transition: all .3s ease-in-out;
}
          
.transition {
  -webkit-transform: scale(1.1); 
  -moz-transform: scale(1.1);
  -o-transform: scale(1.1);
  transform: scale(1.1);
}

.modal-header {
    border-bottom: none;
}
.modal-title {
    color:#000;    
}
.modal-footer{
    display:none;  
}
.fancybox-nav span {
    visibility: visible !important;
}
#exampleModal button{
    text-align: right;
    padding-right: 20px;
    padding-top: 10px;
}
.modal-content img{
    width: 30px !important;
}

button.formbtn.btn-primary.btn-block.mb-4{
    color: #fff;
    text-decoration: none;
    background-color: #99d764;
    padding: 8px 22px;
    width: fit-content;
    border-radius: 8px;
    border: none;
    font-weight: 700;
}

.botReg{
    color: #fff;
    text-decoration: none;
    background-color: #99d764;
    padding: 8px 22px;
    width: fit-content;
    border-radius: 8px;
    border: none;
    font-weight: 700;
}

button, input, optgroup, select, textarea {
    /*width: 100%;*/
    padding: 5px;
    border: rgb(198, 198, 198) 1px solid;
    border-radius: 5px;
}

form{
    column-gap: 10px;
    row-gap: 10px;
    display: flex;
    flex-direction: column;
}

form textarea{
    resize: none;
    height: 220px;
}

/*--------------------------------------------------------------
# Registro
--------------------------------------------------------------*/
#registro{
    /*padding: 200px 150px;*/
    padding: 10% 5%;
    background-color: #00736a;
    font-size: 0.85rem;
    /*
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    */
}
#registro h2 {
    padding-bottom: 30px;
    font-weight: 700;
    font-size: 32px;
    text-align: center;
}
.registrohoja{
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
    align-items: stretch;
    border-radius: 15px;
}
#registro .registroform{
    width: 80%;
    background-color: #fff;
    padding: 30px; 
    /*border:  solid;*/
    /*
    grid-template-columns: repeat(4, 1fr);
    */
}
.registroform input[type=submit].btn-block {
    color: #fff;
    text-decoration: none;
    background-color: #99d764;
    padding: 8px 22px;
    width: fit-content;
    border-radius: 8px;
    border: none;
    font-weight: 700;
}
button, optgroup, select, textarea, 
input[type="text"],
input[type="date"],
input[type="password"],
input[type="number"],
input[type="tel"] {
    width: 100%;
    padding: 2px;
    border: rgb(198, 198, 198) 1px solid;
    border-radius: 5px;
    font-family: Calibri, Candara, Segoe, "Segoe UI", Optima, Arial, sans-serif;
    /*font-size: 16px;*/
    font-size: 1.0rem; /* Para que no se vea más pequeña que el resto del texto */
    color: #444;
}

#registro form{
    display: grid;
    /* Creamos 4 columnas iguales por defecto */
    grid-template-columns: repeat(4, 1fr); 
    column-gap: 10px;
    row-gap: 20px;
}
form textarea{
    resize: none;
    height: 220px;
}
#collapseFive .intern{
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}
#collapseFive .intern img{
    height: 140px;
    width: 100%;
    max-width: fit-content;
}
/*--------------------------------------------------------------
# Ubicación
--------------------------------------------------------------*/
#mapa{
    line-height:0 !important;
}
@media(max-width:1200px){
    div.container.d-flex.justify-content-between{
        margin: 0px !important;
    }
}

.contenedor {
    display: grid;
    /* Definimos 4 columnas de igual tamaño */
    grid-template-columns: repeat(4, 1fr); 
    gap: 10px; /* Espacio entre celdas */
    /*background-color: #f0f0f0;*/
    row-gap: 2px;
    /*
    margin: 2px;
    */
}

.item {
    grid-column: span 1; /* Por defecto ocupa 1 */
    padding: 10px;
    text-align: left;
}

/* Clase para ocupar 2 columnas */

.doble {
    grid-column: span 2;
    /*background-color: #e74c3c;*/
}

/* Clase para ocupar 3 columnas */

.triple {
    grid-column: span 3;
    /*background-color: #2ecc71;*/
}

.cuadruple {
    grid-column: span 4;
    /*background-color: #2ecc71;*/
}

/*--------------------------------------------------------------
# Tablet 1024PX
--------------------------------------------------------------*/
/*
@media(max-width:1024px){
    #hero{
        padding: 80px 40px;
        min-height: 540px;
    }
    #registro{
        padding: 80px 40px;
    }
    #fil-int {
        padding: 80px 40px;
        }
    
}
*/
/*--------------------------------------------------------------
# MOVIL 880PX
--------------------------------------------------------------*/
/*
@media(max-width:880px){
    #hero{
        padding: 70px 30px;
    }
    #hero h1{
        font-size: 26px;
    }
    #hero h1 strong {
        font-weight: 700;
        font-size: 30px;
    }
    #registro{
        padding: 70px 30px;
    }
    iframe {
        border: 0;
        height: 300px;
    }
}
*/
/*--------------------------------------------------------------
# MOVIL 760PX
--------------------------------------------------------------*/
/*
@media(max-width:760px){
    #hero{
        padding: 70px 30px;
        min-height: 100vh;
    }
    #hero h1 br{
        display: none;
    }
}
*/
/*--------------------------------------------------------------
# MOVIL 666PX
--------------------------------------------------------------*/
/*
@media(max-width:666px){
    #hero {
        min-height: 400px;
    }
    #fil-int {
        padding: 70px 4px;
    }
}
*/
@media (max-width: 666px) {
    #registro form {
       /* Pasamos a 1 sola columna en móvil */
        grid-template-columns: 1fr !important;
    }

    .item, .doble, .triple, .cuadruple {
        /* Todos ocupan la única columna disponible */
        grid-column: span 1 !important;
        color: blue;
    }
    
    #registro .registroform {
        width: 100%; /* Aprovecha mejor el espacio en el celular */
        padding: 15px;
        border-color: red;
        border: dashed;
    }
}